Git

1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkglibdir = $(libdir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 bin_PROGRAMS = fapg$(EXEEXT)
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36         $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
37         ChangeLog INSTALL depcomp install-sh missing
38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39 am__aclocal_m4_deps = $(top_srcdir)/configure.in
40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41         $(ACLOCAL_M4)
42 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43  configure.lineno config.status.lineno
44 mkinstalldirs = $(install_sh) -d
45 CONFIG_CLEAN_FILES =
46 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
47 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
48 PROGRAMS = $(bin_PROGRAMS)
49 am_fapg_OBJECTS = fapg.$(OBJEXT)
50 fapg_OBJECTS = $(am_fapg_OBJECTS)
51 fapg_LDADD = $(LDADD)
52 DEFAULT_INCLUDES = -I.@am__isrc@
53 depcomp = $(SHELL) $(top_srcdir)/depcomp
54 am__depfiles_maybe = depfiles
55 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
56         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
57 CCLD = $(CC)
58 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
59 SOURCES = $(fapg_SOURCES)
60 DIST_SOURCES = $(fapg_SOURCES)
61 man1dir = $(mandir)/man1
62 NROFF = nroff
63 MANS = $(man_MANS)
64 ETAGS = etags
65 CTAGS = ctags
66 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
67 distdir = $(PACKAGE)-$(VERSION)
68 top_distdir = $(distdir)
69 am__remove_distdir = \
70   { test ! -d $(distdir) \
71     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
72          && rm -fr $(distdir); }; }
73 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2 \
74         $(distdir).tar.lzma $(distdir).zip
75 GZIP_ENV = --best
76 distuninstallcheck_listfiles = find . -type f -print
77 distcleancheck_listfiles = find . -type f -print
78 ACLOCAL = @ACLOCAL@
79 AMTAR = @AMTAR@
80 AUTOCONF = @AUTOCONF@
81 AUTOHEADER = @AUTOHEADER@
82 AUTOMAKE = @AUTOMAKE@
83 AWK = @AWK@
84 CC = @CC@
85 CCDEPMODE = @CCDEPMODE@
86 CFLAGS = @CFLAGS@
87 CPP = @CPP@
88 CPPFLAGS = @CPPFLAGS@
89 CYGPATH_W = @CYGPATH_W@
90 DEFS = @DEFS@
91 DEPDIR = @DEPDIR@
92 ECHO_C = @ECHO_C@
93 ECHO_N = @ECHO_N@
94 ECHO_T = @ECHO_T@
95 EGREP = @EGREP@
96 EXEEXT = @EXEEXT@
97 GREP = @GREP@
98 INSTALL = @INSTALL@
99 INSTALL_DATA = @INSTALL_DATA@
100 INSTALL_PROGRAM = @INSTALL_PROGRAM@
101 INSTALL_SCRIPT = @INSTALL_SCRIPT@
102 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
103 LDFLAGS = @LDFLAGS@
104 LIBOBJS = @LIBOBJS@
105 LIBS = @LIBS@
106 LTLIBOBJS = @LTLIBOBJS@
107 MAKEINFO = @MAKEINFO@
108 MKDIR_P = @MKDIR_P@
109 OBJEXT = @OBJEXT@
110 PACKAGE = @PACKAGE@
111 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
112 PACKAGE_NAME = @PACKAGE_NAME@
113 PACKAGE_STRING = @PACKAGE_STRING@
114 PACKAGE_TARNAME = @PACKAGE_TARNAME@
115 PACKAGE_VERSION = @PACKAGE_VERSION@
116 PATH_SEPARATOR = @PATH_SEPARATOR@
117 SET_MAKE = @SET_MAKE@
118 SHELL = @SHELL@
119 STRIP = @STRIP@
120 VERSION = @VERSION@
121 abs_builddir = @abs_builddir@
122 abs_srcdir = @abs_srcdir@
123 abs_top_builddir = @abs_top_builddir@
124 abs_top_srcdir = @abs_top_srcdir@
125 ac_ct_CC = @ac_ct_CC@
126 am__include = @am__include@
127 am__leading_dot = @am__leading_dot@
128 am__quote = @am__quote@
129 am__tar = @am__tar@
130 am__untar = @am__untar@
131 bindir = @bindir@
132 build_alias = @build_alias@
133 builddir = @builddir@
134 datadir = @datadir@
135 datarootdir = @datarootdir@
136 docdir = @docdir@
137 dvidir = @dvidir@
138 exec_prefix = @exec_prefix@
139 host_alias = @host_alias@
140 htmldir = @htmldir@
141 includedir = @includedir@
142 infodir = @infodir@
143 install_sh = @install_sh@
144 libdir = @libdir@
145 libexecdir = @libexecdir@
146 localedir = @localedir@
147 localstatedir = @localstatedir@
148 mandir = @mandir@
149 mkdir_p = @mkdir_p@
150 oldincludedir = @oldincludedir@
151 pdfdir = @pdfdir@
152 prefix = @prefix@
153 program_transform_name = @program_transform_name@
154 psdir = @psdir@
155 sbindir = @sbindir@
156 sharedstatedir = @sharedstatedir@
157 srcdir = @srcdir@
158 sysconfdir = @sysconfdir@
159 target_alias = @target_alias@
160 top_builddir = @top_builddir@
161 top_srcdir = @top_srcdir@
162 AUTOMAKE_OPTIONS = 1.10.1 foreign dist-zip dist-bzip2 dist-lzma subdir-objects
163 man_MANS = fapg.1
164 fapg_SOURCES = \
165         fapg.c \
166         genres.h
168 EXTRA_DIST = \
169         fapg.1
171 all: all-am
173 .SUFFIXES:
174 .SUFFIXES: .c .o .obj
175 am--refresh:
176         @:
177 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
178         @for dep in $?; do \
179           case '$(am__configure_deps)' in \
180             *$$dep*) \
181               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
182               cd $(srcdir) && $(AUTOMAKE) --foreign  \
183                 && exit 0; \
184               exit 1;; \
185           esac; \
186         done; \
187         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
188         cd $(top_srcdir) && \
189           $(AUTOMAKE) --foreign  Makefile
190 .PRECIOUS: Makefile
191 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
192         @case '$?' in \
193           *config.status*) \
194             echo ' $(SHELL) ./config.status'; \
195             $(SHELL) ./config.status;; \
196           *) \
197             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
198             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
199         esac;
201 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
202         $(SHELL) ./config.status --recheck
204 $(top_srcdir)/configure:  $(am__configure_deps)
205         cd $(srcdir) && $(AUTOCONF)
206 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
207         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
208 install-binPROGRAMS: $(bin_PROGRAMS)
209         @$(NORMAL_INSTALL)
210         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
211         @list='$(bin_PROGRAMS)'; for p in $$list; do \
212           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
213           if test -f $$p \
214           ; then \
215             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
216            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
217            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
218           else :; fi; \
219         done
221 uninstall-binPROGRAMS:
222         @$(NORMAL_UNINSTALL)
223         @list='$(bin_PROGRAMS)'; for p in $$list; do \
224           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
225           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
226           rm -f "$(DESTDIR)$(bindir)/$$f"; \
227         done
229 clean-binPROGRAMS:
230         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
231 fapg$(EXEEXT): $(fapg_OBJECTS) $(fapg_DEPENDENCIES) 
232         @rm -f fapg$(EXEEXT)
233         $(LINK) $(fapg_OBJECTS) $(fapg_LDADD) $(LIBS)
235 mostlyclean-compile:
236         -rm -f *.$(OBJEXT)
238 distclean-compile:
239         -rm -f *.tab.c
241 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fapg.Po@am__quote@
243 .c.o:
244 @am__fastdepCC_TRUE@    depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
245 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
246 @am__fastdepCC_TRUE@    mv -f $$depbase.Tpo $$depbase.Po
247 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
248 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
249 @am__fastdepCC_FALSE@   $(COMPILE) -c -o $@ $<
251 .c.obj:
252 @am__fastdepCC_TRUE@    depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
253 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
254 @am__fastdepCC_TRUE@    mv -f $$depbase.Tpo $$depbase.Po
255 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
256 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
257 @am__fastdepCC_FALSE@   $(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
258 install-man1: $(man1_MANS) $(man_MANS)
259         @$(NORMAL_INSTALL)
260         test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
261         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
262         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
263         for i in $$l2; do \
264           case "$$i" in \
265             *.1*) list="$$list $$i" ;; \
266           esac; \
267         done; \
268         for i in $$list; do \
269           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
270           else file=$$i; fi; \
271           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
272           case "$$ext" in \
273             1*) ;; \
274             *) ext='1' ;; \
275           esac; \
276           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
277           inst=`echo $$inst | sed -e 's/^.*\///'`; \
278           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
279           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
280           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
281         done
282 uninstall-man1:
283         @$(NORMAL_UNINSTALL)
284         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
285         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
286         for i in $$l2; do \
287           case "$$i" in \
288             *.1*) list="$$list $$i" ;; \
289           esac; \
290         done; \
291         for i in $$list; do \
292           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
293           case "$$ext" in \
294             1*) ;; \
295             *) ext='1' ;; \
296           esac; \
297           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
298           inst=`echo $$inst | sed -e 's/^.*\///'`; \
299           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
300           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
301           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
302         done
304 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
305         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
306         unique=`for i in $$list; do \
307             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
308           done | \
309           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
310               END { if (nonempty) { for (i in files) print i; }; }'`; \
311         mkid -fID $$unique
312 tags: TAGS
314 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
315                 $(TAGS_FILES) $(LISP)
316         tags=; \
317         here=`pwd`; \
318         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
319         unique=`for i in $$list; do \
320             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321           done | \
322           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
323               END { if (nonempty) { for (i in files) print i; }; }'`; \
324         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
325           test -n "$$unique" || unique=$$empty_fix; \
326           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
327             $$tags $$unique; \
328         fi
329 ctags: CTAGS
330 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
331                 $(TAGS_FILES) $(LISP)
332         tags=; \
333         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
334         unique=`for i in $$list; do \
335             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
336           done | \
337           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
338               END { if (nonempty) { for (i in files) print i; }; }'`; \
339         test -z "$(CTAGS_ARGS)$$tags$$unique" \
340           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
341              $$tags $$unique
343 GTAGS:
344         here=`$(am__cd) $(top_builddir) && pwd` \
345           && cd $(top_srcdir) \
346           && gtags -i $(GTAGS_ARGS) $$here
348 distclean-tags:
349         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
351 distdir: $(DISTFILES)
352         $(am__remove_distdir)
353         test -d $(distdir) || mkdir $(distdir)
354         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
355         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
356         list='$(DISTFILES)'; \
357           dist_files=`for file in $$list; do echo $$file; done | \
358           sed -e "s|^$$srcdirstrip/||;t" \
359               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
360         case $$dist_files in \
361           */*) $(MKDIR_P) `echo "$$dist_files" | \
362                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
363                            sort -u` ;; \
364         esac; \
365         for file in $$dist_files; do \
366           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
367           if test -d $$d/$$file; then \
368             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
369             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
370               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
371             fi; \
372             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
373           else \
374             test -f $(distdir)/$$file \
375             || cp -p $$d/$$file $(distdir)/$$file \
376             || exit 1; \
377           fi; \
378         done
379         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
380           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
381           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
382           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
383         || chmod -R a+r $(distdir)
384 dist-gzip: distdir
385         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
386         $(am__remove_distdir)
387 dist-bzip2: distdir
388         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
389         $(am__remove_distdir)
390 dist-lzma: distdir
391         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
392         $(am__remove_distdir)
394 dist-tarZ: distdir
395         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
396         $(am__remove_distdir)
398 dist-shar: distdir
399         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
400         $(am__remove_distdir)
401 dist-zip: distdir
402         -rm -f $(distdir).zip
403         zip -rq $(distdir).zip $(distdir)
404         $(am__remove_distdir)
406 dist dist-all: distdir
407         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
408         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
409         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
410         -rm -f $(distdir).zip
411         zip -rq $(distdir).zip $(distdir)
412         $(am__remove_distdir)
414 # This target untars the dist file and tries a VPATH configuration.  Then
415 # it guarantees that the distribution is self-contained by making another
416 # tarfile.
417 distcheck: dist
418         case '$(DIST_ARCHIVES)' in \
419         *.tar.gz*) \
420           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
421         *.tar.bz2*) \
422           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
423         *.tar.lzma*) \
424           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
425         *.tar.Z*) \
426           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
427         *.shar.gz*) \
428           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
429         *.zip*) \
430           unzip $(distdir).zip ;;\
431         esac
432         chmod -R a-w $(distdir); chmod a+w $(distdir)
433         mkdir $(distdir)/_build
434         mkdir $(distdir)/_inst
435         chmod a-w $(distdir)
436         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
437           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
438           && cd $(distdir)/_build \
439           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
440             $(DISTCHECK_CONFIGURE_FLAGS) \
441           && $(MAKE) $(AM_MAKEFLAGS) \
442           && $(MAKE) $(AM_MAKEFLAGS) dvi \
443           && $(MAKE) $(AM_MAKEFLAGS) check \
444           && $(MAKE) $(AM_MAKEFLAGS) install \
445           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
446           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
447           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
448                 distuninstallcheck \
449           && chmod -R a-w "$$dc_install_base" \
450           && ({ \
451                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
452                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
453                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
454                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
455                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
456               } || { rm -rf "$$dc_destdir"; exit 1; }) \
457           && rm -rf "$$dc_destdir" \
458           && $(MAKE) $(AM_MAKEFLAGS) dist \
459           && rm -rf $(DIST_ARCHIVES) \
460           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
461         $(am__remove_distdir)
462         @(echo "$(distdir) archives ready for distribution: "; \
463           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
464           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
465 distuninstallcheck:
466         @cd $(distuninstallcheck_dir) \
467         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
468            || { echo "ERROR: files left after uninstall:" ; \
469                 if test -n "$(DESTDIR)"; then \
470                   echo "  (check DESTDIR support)"; \
471                 fi ; \
472                 $(distuninstallcheck_listfiles) ; \
473                 exit 1; } >&2
474 distcleancheck: distclean
475         @if test '$(srcdir)' = . ; then \
476           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
477           exit 1 ; \
478         fi
479         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
480           || { echo "ERROR: files left in build directory after distclean:" ; \
481                $(distcleancheck_listfiles) ; \
482                exit 1; } >&2
483 check-am: all-am
484 check: check-am
485 all-am: Makefile $(PROGRAMS) $(MANS)
486 installdirs:
487         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
488           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
489         done
490 install: install-am
491 install-exec: install-exec-am
492 install-data: install-data-am
493 uninstall: uninstall-am
495 install-am: all-am
496         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
498 installcheck: installcheck-am
499 install-strip:
500         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
501           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
502           `test -z '$(STRIP)' || \
503             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
504 mostlyclean-generic:
506 clean-generic:
508 distclean-generic:
509         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
511 maintainer-clean-generic:
512         @echo "This command is intended for maintainers to use"
513         @echo "it deletes files that may require special tools to rebuild."
514 clean: clean-am
516 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
518 distclean: distclean-am
519         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
520         -rm -rf ./$(DEPDIR)
521         -rm -f Makefile
522 distclean-am: clean-am distclean-compile distclean-generic \
523         distclean-tags
525 dvi: dvi-am
527 dvi-am:
529 html: html-am
531 info: info-am
533 info-am:
535 install-data-am: install-man
537 install-dvi: install-dvi-am
539 install-exec-am: install-binPROGRAMS
541 install-html: install-html-am
543 install-info: install-info-am
545 install-man: install-man1
547 install-pdf: install-pdf-am
549 install-ps: install-ps-am
551 installcheck-am:
553 maintainer-clean: maintainer-clean-am
554         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
555         -rm -rf $(top_srcdir)/autom4te.cache
556         -rm -rf ./$(DEPDIR)
557         -rm -f Makefile
558 maintainer-clean-am: distclean-am maintainer-clean-generic
560 mostlyclean: mostlyclean-am
562 mostlyclean-am: mostlyclean-compile mostlyclean-generic
564 pdf: pdf-am
566 pdf-am:
568 ps: ps-am
570 ps-am:
572 uninstall-am: uninstall-binPROGRAMS uninstall-man
574 uninstall-man: uninstall-man1
576 .MAKE: install-am install-strip
578 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
579         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
580         dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \
581         distclean distclean-compile distclean-generic distclean-tags \
582         distcleancheck distdir distuninstallcheck dvi dvi-am html \
583         html-am info info-am install install-am install-binPROGRAMS \
584         install-data install-data-am install-dvi install-dvi-am \
585         install-exec install-exec-am install-html install-html-am \
586         install-info install-info-am install-man install-man1 \
587         install-pdf install-pdf-am install-ps install-ps-am \
588         install-strip installcheck installcheck-am installdirs \
589         maintainer-clean maintainer-clean-generic mostlyclean \
590         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
591         tags uninstall uninstall-am uninstall-binPROGRAMS \
592         uninstall-man uninstall-man1
594 # Tell versions [3.59,3.63) of GNU make to not export all variables.
595 # Otherwise a system limit (for SysV at least) may be exceeded.
596 .NOEXPORT: